OnlyFans API
FanvueAccount

Get Account

Get a single connected Fanvue account.

GET
/api/fanvue/accounts/{fanvueAccount}
AuthorizationBearer <token>

Get your API Key from OnlyFansAPI Console - https://app.onlyfansapi.com/api-keys

In: header

Path Parameters

fanvueAccount*string

The Fanvue Account ID

Response Body

application/json

curl -X GET "https://app.onlyfansapi.com/api/fanvue/accounts/fanvue_acct_XXXXXXXXXXXXXXX"
{
  "id": "fanvue_acct_XXXXXXXXXXXXXXX",
  "fanvue_user_uuid": "3bbe6394-2830-4646-a8ba-4a0a05426947",
  "handle": "jane",
  "display_name": "Jane Doe",
  "avatar_url": null,
  "is_ai_creator": false,
  "roles": [
    "creator"
  ],
  "granted_scopes": [
    "openid",
    "offline_access",
    "offline",
    "read:self",
    "read:chat",
    "write:chat",
    "read:fan",
    "read:creator",
    "write:creator",
    "read:media",
    "write:media",
    "read:post",
    "write:post",
    "read:insights",
    "read:tracking_links",
    "write:tracking_links"
  ],
  "status": "active",
  "connected_at": "2026-09-22T11:26:38.000000Z"
}